Interface StAXEndpointBuilderFactory.StAXBuilders
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
- StAXEndpointBuilderFactory
public static interface StAXEndpointBuilderFactory.StAXBuilders
-
Method Summary
Modifier and TypeMethodDescriptionStAX (camel-stax) Process XML payloads by a SAX ContentHandler.StAX (camel-stax) Process XML payloads by a SAX ContentHandler.
-
Method Details
-
stax
StAX (camel-stax) Process XML payloads by a SAX ContentHandler. Category: transformation Since: 2.9 Maven coordinates: org.apache.camel:camel-stax Syntax:stax:contentHandlerClassPath parameter: contentHandlerClass (required) The FQN class name for the ContentHandler implementation to use.- Parameters:
path- contentHandlerClass- Returns:
- the dsl builder
-
stax
StAX (camel-stax) Process XML payloads by a SAX ContentHandler. Category: transformation Since: 2.9 Maven coordinates: org.apache.camel:camel-stax Syntax:stax:contentHandlerClassPath parameter: contentHandlerClass (required) The FQN class name for the ContentHandler implementation to use.- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- contentHandlerClass- Returns:
- the dsl builder
-